Bug 1413826 - [RFE] User friendly names for UUIDs of storage domains.
Summary: [RFE] User friendly names for UUIDs of storage domains.
Keywords:
Status: CLOSED INSUFFICIENT_DATA
Alias: None
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: ovirt-engine
Version: 4.0.5
Hardware: All
OS: Linux
unspecified
medium
Target Milestone: ---
: ---
Assignee: Nobody
QA Contact: meital avital
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-01-17 04:55 UTC by Ulhas Surse
Modified: 2020-07-16 09:07 UTC (History)
7 users (show)

Fixed In Version:
Doc Type: Enhancement
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-05-29 12:59:19 UTC
oVirt Team: Storage
Target Upstream Version:


Attachments (Terms of Use)

Description Ulhas Surse 2017-01-17 04:55:22 UTC
- What is the nature and description of the request?
  Allow user defined/friendly names for storage domains.

- Why do you need this? (List the business requirements here)
  It gets too hard to maintain storage domains and track what is what (like for restore, DR, etc) with scrambled UUIDs.

- How would you like to achieve this? (List the functional requirements here)
  Allow the user to put in a name and a LABEL with the label having astrick character requirements as this is what is the name of the LV, VG, PV on the OS/Filwe systems.

- Do you have any specific time-line dependencies?
  ASAP.  This UUID issue makes it VERY difficult to troubleshoot from the storage back end side.  What id I wanted to maintenance mode each domain and snap shot it on the back end - CAN'T - you've made it near impossible to find out what is what!  Same goes if a VM gets messed up accidentally and we want to restore that VM.  I can do it just fine for KVM AND I can even use DD as a backup if I want on the back end!

- List any affected packages or components.
  RHEV 4.x storage domains

- Would you be able to assist in testing this functionality if implemented?
  Yes, ABSOLUTELY!

- For each functional requirement listed in the previous question, can test to confirm the requirement is successfully implemented.
  Yes, ABSOLUTELY!

ADDITIONAL INFORMATION (in customer's own words):
-------------------------------------------------

Right now RHEV makes up UUID-like names for objects like PVs, VGs, LVs, NFS volumes, etc.  This makes it VERY hard to maintain!  You can not tell what is what or for example if there was a mistake made on a storage volume you have a VERY difficult time know what is affected.  Also if you need to backup or restore a storage domain it is hard to figure out which is which.

This gets even worse when you factor in export/import operations of storage domains.


Note You need to log in before you can comment on or make changes to this bug.